using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 辨识对象
    /// </summary>
    [Description("辨识对象")]
    public class T_HM_IDENTIFYING : MesEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [DataFieldLength(50)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldIndex(true)]
        public string NAME { get; set; }

        /// <summary>
        /// 暴露限值单位
        /// </summary>
        [Description("暴露限值单位")]
        [DataFieldLength(50)]
        [FormFieldTable]
        [FormFieldEdit]
        public string LIMIT_UNIT { get; set; }

        /// <summary>
        /// 类别 危险源与风险辨识 = 0,职业危害辨识 = 1,
        /// </summary>
        [EnumName("HMRiskTypeEnmu")]
        [Description("类别")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public HMRiskTypeEnmu RISK_TYPE { get; set; }
         /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [EnumName("STATUSEnum")]
        public STATUSEnum STATUS { get; set; }
    }
}